<?php 
$upload_size_unit = $max_upload_size =  wp_max_upload_size();
	$sizes = array( 'KB', 'MB', 'GB' );
	for ( $u = -1; $upload_size_unit > 1024 && $u < count( $sizes ) - 1; $u++ )
		$upload_size_unit /= 1024;
	if ( $u < 0 ) {
		$upload_size_unit = 0;
		$u = 0;
	} else {
		$upload_size_unit = (int) $upload_size_unit;
	}
?>
<div class="epaper_panel">
  <p>
    <label><?php print __('Upload E-Paper data', 'epaper')?>:</label>
    <input type="file" name="epaper_meta_upload" />
  </p>
  <p class="media-upload-size"><?php printf( __( 'Maximum upload file size: %d%s' ), $upload_size_unit, $sizes[$u] ); ?>.</p>
  <p>
    <?php print __('Upload a zip-file containing the E-Paper data. This archive should contain the actual E-Paper in whatever format you like (PDF, HTML, FLASH, ...). If you are using Flip Viewer Express Creator (http://www.flipviewer.com/) don\'t worry about the settings above (E-Paper-URL, PDF-URL), they will be autodetected. Otherwise you need to set them correctly. The whole data of this archive will be protected by this plugin!', 'epaper')?>    
  </p>
  <p>
    <label><?php print __('Autoimport E-Paper Content', 'epaper')?>:</label>
    <input type="checkbox" name="epaper_meta_upload_autoimport" checked/>
  </p>
    <p>
    <?php print __('Check this to automatically import the E-Paper content from the uploaded archive. It will be available in the box <strong>E-Paper Content (for Relevanssi search)</strong> and used for search indexation. This only works with E-Papers created using Flip Viewer Express Creator (http://www.flipviewer.com/).', 'epaper')?>    
  </p>
  
  
  <?php if(get_filesystem_method(array(), get_option( EPAPER_POST_TYPE_NAME . '_dir') ) != 'direct' && FALSE) : //If no direct filesystem acces, user needs to put credentials; This feature is removed for now, ince we only support direct fs access!
      //Have a look at request_filesystem_credentials(). This is where the following code comes from!
      
      $types = array();
    	if ( extension_loaded('ftp') || extension_loaded('sockets') || function_exists('fsockopen') )
    		$types[ 'ftp' ] = __('FTP');
    	if ( extension_loaded('ftp') ) //Only this supports FTPS
    		$types[ 'ftps' ] = __('FTPS (SSL)');
    	if ( extension_loaded('ssh2') && function_exists('stream_get_contents') )
    		$types[ 'ssh' ] = __('SSH2');
    
    	$types = apply_filters('fs_ftp_connection_types', $types, $credentials, $type, $error, $context);
    	
      ?>
      <script type="text/javascript">
    <!--
    jQuery(function($){
      jQuery("#ssh").click(function () {
        jQuery("#ssh_keys").show();
      });
      jQuery("#ftp, #ftps").click(function () {
        jQuery("#ssh_keys").hide();
      });
      jQuery('form input[value=""]:first').focus();
    });
    -->
    </script>
    
    <div class="wrap credentials-form">
    <?php screen_icon(); ?>
    <h2><?php _e('Connection Information') ?></h2>
    <p><?php
      $label_user = __('Username');
      $label_pass = __('Password');
      _e('To perform the requested action, WordPress needs to access your web server.');
      echo ' ';
      if ( ( isset( $types['ftp'] ) || isset( $types['ftps'] ) ) ) {
        if ( isset( $types['ssh'] ) ) {
          _e('Please enter your FTP or SSH credentials to proceed.');
          $label_user = __('FTP/SSH Username');
          $label_pass = __('FTP/SSH Password');
        } else {
          _e('Please enter your FTP credentials to proceed.');
          $label_user = __('FTP Username');
          $label_pass = __('FTP Password');
        }
        echo ' ';
      }
      _e('If you do not remember your credentials, you should contact your web host.');
    ?></p>
    <table class="form-table">
    <tr valign="top">
    <th scope="row"><label for="hostname"><?php _e('Hostname') ?></label></th>
    <td><input name="hostname" type="text" id="hostname" value="<?php echo esc_attr($hostname); if ( !empty($port) ) echo ":$port"; ?>"<?php disabled( defined('FTP_HOST') ); ?> size="40" /></td>
    </tr>
    
    <tr valign="top">
    <th scope="row"><label for="username"><?php echo $label_user; ?></label></th>
    <td><input name="username" type="text" id="username" value="<?php echo esc_attr($username) ?>"<?php disabled( defined('FTP_USER') ); ?> size="40" /></td>
    </tr>
    
    <tr valign="top">
    <th scope="row"><label for="password"><?php echo $label_pass; ?></label></th>
    <td><input name="password" type="password" id="password" value="<?php if ( defined('FTP_PASS') ) echo '*****'; ?>"<?php disabled( defined('FTP_PASS') ); ?> size="40" /></td>
    </tr>
    
    <?php if ( isset($types['ssh']) ) : ?>
    <tr id="ssh_keys" valign="top" style="<?php if ( 'ssh' != $connection_type ) echo 'display:none' ?>">
    <th scope="row"><?php _e('Authentication Keys') ?>
    <div class="key-labels textright">
    <label for="public_key"><?php _e('Public Key:') ?></label ><br />
    <label for="private_key"><?php _e('Private Key:') ?></label>
    </div></th>
    <td><br /><input name="public_key" type="text" id="public_key" value="<?php echo esc_attr($public_key) ?>"<?php disabled( defined('FTP_PUBKEY') ); ?> size="40" /><br /><input name="private_key" type="text" id="private_key" value="<?php echo esc_attr($private_key) ?>"<?php disabled( defined('FTP_PRIKEY') ); ?> size="40" />
    <div><?php _e('Enter the location on the server where the keys are located. If a passphrase is needed, enter that in the password field above.') ?></div></td>
    </tr>
    <?php endif; ?>
    
    <tr valign="top">
    <th scope="row"><?php _e('Connection Type') ?></th>
    <td>
    <fieldset><legend class="screen-reader-text"><span><?php _e('Connection Type') ?></span></legend>
    <?php
      $disabled = disabled( (defined('FTP_SSL') && FTP_SSL) || (defined('FTP_SSH') && FTP_SSH), true, false );
      foreach ( $types as $name => $text ) : ?>
      <label for="<?php echo esc_attr($name) ?>">
        <input type="radio" name="connection_type" id="<?php echo esc_attr($name) ?>" value="<?php echo esc_attr($name) ?>"<?php checked($name, $connection_type); echo $disabled; ?> />
        <?php echo $text ?>
      </label>
      <?php endforeach; ?>
    </fieldset>
    </td>
    </tr>
    </table>
    
    <?php
    
    //submit_button( __( 'Proceed' ), 'button', 'upgrade' );
    ?>



<?php endif;?>
</div>